Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2023-39742

Published: 25 August 2023

giflib v5.2.1 was discovered to contain a segmentation fault via the component getarg.c.

Notes

AuthorNote
Priority reason:
Is only a crash in a CLI tool
mdeslaur
one of the commits listes below likely fixes this issue.

Priority

Low

Cvss 3 Severity Score

5.5

Score breakdown

Status

Package Release Status
giflib
Launchpad, Ubuntu, Debian
bionic
Released (5.1.4-2ubuntu0.1+esm1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (5.1.9-1ubuntu0.1)
jammy Not vulnerable

lunar Ignored
(end of life, was deferred [2024-02-02])
mantic Not vulnerable

noble Not vulnerable

trusty Ignored
(end of standard support)
upstream Needs triage

xenial
Released (5.1.4-0.3~16.04.1+esm1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
Patches:
upstream: https://sourceforge.net/p/giflib/code/ci/368f28c0034ecfb6dd4b3412af4cc589a56e0611/
upstream: https://sourceforge.net/p/giflib/code/ci/fd0f408bd6dbc6ca33f0593d17164f9cb113a8ce/
upstream: https://sourceforge.net/p/giflib/code/ci/ccbc956432650734c91acb3fc88837f7b81267ff/

Severity score breakdown

Parameter Value
Base score 5.5
Attack vector Local
Attack complexity Low
Privileges required Low
User interaction None
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact High
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H